Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.singularsys.jep.misc.functions
Enum Remainder.Type

    java.lang.Object
      java.lang.Enum<Remainder.Type>
          com.singularsys.jep.misc.functions.Remainder.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Remainder.Type>

Enclosing class:
  Remainder

    public static enum Remainder.Type

extends java.lang.Enum<Remainder.Type>

Enum Constant Summary
`EUCLIDEAN`
`EUCLIDEAN_QUOTIENT`
`FLOOR`
`FLOOR_QUOTIENT`
`TRUNCATED`
`TRUNCATED_QUOTIENT`

Method Summary
`static Remainder.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Remainder.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUNCATED

    public static final Remainder.Type TRUNCATED

### FLOOR

    public static final Remainder.Type FLOOR

### EUCLIDEAN

    public static final Remainder.Type EUCLIDEAN

### TRUNCATED_QUOTIENT

    public static final Remainder.Type TRUNCATED_QUOTIENT

### FLOOR_QUOTIENT

    public static final Remainder.Type FLOOR_QUOTIENT

### EUCLIDEAN_QUOTIENT

    public static final Remainder.Type EUCLIDEAN_QUOTIENT

Method Detail

### values

    public static Remainder.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Remainder.Type c : Remainder.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Remainder.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep